---
audience: developer
components:
  - functions
  - serving
  - eventing
function: reference
---

# Knative release notes

For details about the Knative releases, see the following pages:

- [Knative CLI releases](https://github.com/knative/client/releases)
- [Knative Functions releases](https://github.com/knative/func/releases)
- [Knative Eventing releases](https://github.com/knative/eventing/releases)
- [Knative Serving releases](https://github.com/knative/serving/releases)
- [Knative Operator releases](https://github.com/knative/operator/releases)
